> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Proxy User List Options

> This endpoint returns a list of all active proxy users on the customer's account,
along with a boolean flag indicating whether each proxy user has access to export/use
the specified proxies based on their access type and ACL rules.

**Access Logic:**
- **Unrestricted (all)**: Proxy user has access to all proxies on the account
- **Service Restricted**: Proxy user has access only if they have ACL entries for all services
  containing the specified proxies
- **Proxy Restricted**: Proxy user has access only if they have ACL entries for all
  specified proxies

**Note:** This endpoint is intentionally a POST request (rather than GET) to support
large lists of proxy IDs in the request body.




## OpenAPI

````yaml post /public/user/proxy/list/options
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy/list/options:
    post:
      tags:
        - Proxy
      summary: Get Proxy User List Options
      description: >
        This endpoint returns a list of all active proxy users on the customer's
        account,

        along with a boolean flag indicating whether each proxy user has access
        to export/use

        the specified proxies based on their access type and ACL rules.


        **Access Logic:**

        - **Unrestricted (all)**: Proxy user has access to all proxies on the
        account

        - **Service Restricted**: Proxy user has access only if they have ACL
        entries for all services
          containing the specified proxies
        - **Proxy Restricted**: Proxy user has access only if they have ACL
        entries for all
          specified proxies

        **Note:** This endpoint is intentionally a POST request (rather than
        GET) to support

        large lists of proxy IDs in the request body.
      parameters:
        - name: Content-Type
          in: header
          description: Content type for the request body as application/json.
          required: true
          schema:
            type: string
            default: application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                proxy_ids:
                  type: array
                  description: >
                    List of proxy UUIDs to check access against.

                    Either proxy_ids or search_filter must be provided, but not
                    both.
                  example:
                    - 19efadd4-5814-4986-90be-4460e7d05c29
                    - 1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3
                  items:
                    type: string
                    format: uuid
                search_filter:
                  type: object
                  properties: {}
                  description: >
                    Search filter object to find proxies (same format as
                    /proxy/list_by_search endpoint).

                    Either proxy_ids or search_filter must be provided, but not
                    both.
                  example:
                    country_id: US
                    proxy_status: in_use
                    service_id: API-1234-5678
        required: true
      responses:
        '200':
          description: Successfully retrieved proxy user list options.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: List of proxy users with access information.
                    items:
                      type: object
                      properties:
                        has_access:
                          type: boolean
                          description: >
                            Indicates whether this proxy user has permission to
                            access/export

                            all of the specified proxies based on their access
                            type and ACL rules.
                          example: true
                        proxy_user_id:
                          type: string
                          description: The unique identifier for the proxy user.
                          example: stevejobs
                        proxy_user_is_default:
                          type: boolean
                          description: >-
                            Indicates if this is the default proxy user for the
                            account.
                          example: false
                  message:
                    type: string
                    description: Success message.
                    example: Proxy user list options successfully retrieved.
        '400':
          description: Bad request - invalid parameters or missing required fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Either proxy_ids or search_filter must be provided, but
                      not both.
        '404':
          description: No proxies found matching the specified criteria.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: No proxies found matching the specified criteria.
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````